You are viewing a plain text version of this content. The canonical link for it is here.
Posted to gitbox@yetus.apache.org by aw...@apache.org on 2021/03/08 19:09:30 UTC

[yetus] branch main updated: YETUS-1057. Remove findbugs support (#197)

This is an automated email from the ASF dual-hosted git repository.

aw pushed a commit to branch main
in repository https://gitbox.apache.org/repos/asf/yetus.git


The following commit(s) were added to refs/heads/main by this push:
     new b87591e  YETUS-1057. Remove findbugs support (#197)
b87591e is described below

commit b87591edcd905b95b1786e9f30eaab8a113fcf4b
Author: Allen Wittenauer <aw...@apache.org>
AuthorDate: Mon Mar 8 11:09:23 2021 -0800

    YETUS-1057. Remove findbugs support (#197)
---
 .../in-progress/precommit/advanced.html.md         |   4 +-
 .../in-progress/precommit/index.html.md            |   1 -
 .../in-progress/precommit/plugins/findbugs.html.md |  48 ------
 .../in-progress/precommit/plugins/spotbugs.html.md |   7 +-
 .../precommit/robots/githubactions.html.md         |   2 +-
 .../in-progress/precommit/usage-intro.html.md      |   6 +-
 precommit/src/main/shell/plugins.d/ant.sh          |   4 -
 precommit/src/main/shell/plugins.d/gradle.sh       |   1 -
 precommit/src/main/shell/plugins.d/maven.sh        |   4 -
 precommit/src/main/shell/plugins.d/spotbugs.sh     | 162 +++++----------------
 .../src/main/shell/test-patch-docker/Dockerfile    |  14 +-
 11 files changed, 49 insertions(+), 204 deletions(-)

diff --git a/asf-site-src/source/documentation/in-progress/precommit/advanced.html.md b/asf-site-src/source/documentation/in-progress/precommit/advanced.html.md
index 240d865..a6a3675 100644
--- a/asf-site-src/source/documentation/in-progress/precommit/advanced.html.md
+++ b/asf-site-src/source/documentation/in-progress/precommit/advanced.html.md
@@ -183,10 +183,10 @@ function personality_file_tests
   local filename=$1
 
   if [[ ${filename} =~ \.java$ ]]; then
-    add_test findbugs
     add_test javac
     add_test javadoc
     add_test mvninstall
+    add_test spotbugs
     add_test unit
   fi
 
@@ -255,7 +255,7 @@ or autodetermined by various means.  The `PROJECT_NAME` version takes precedence
 Personalities can set the base list of plug-ins to enable and disable for their project via the `personality_plugins` function. Just call it with the same pattern as the `--plugins` command line option:
 
 ```bash
-personality_plugins "all,-checkstyle,-findbugs,-asflicense"
+personality_plugins "all,-checkstyle,-spotbugs,-asflicense"
 ```
 
 This list is used if the user does not provide a list of plug-ins.
diff --git a/asf-site-src/source/documentation/in-progress/precommit/index.html.md b/asf-site-src/source/documentation/in-progress/precommit/index.html.md
index 2cfeb49..958ec66 100644
--- a/asf-site-src/source/documentation/in-progress/precommit/index.html.md
+++ b/asf-site-src/source/documentation/in-progress/precommit/index.html.md
@@ -138,7 +138,6 @@ Language Support, Licensing, and more:
 * [buf](plugins/buf)
 * [checkmake](plugins/checkmake)
 * [checkstyle](plugins/checkstyle)
-* [FindBugs](plugins/findbugs)
 * [golangci-lint](plugins/golangcilint)
 * [hadolint](plugins/hadolint)
 * [jshint](plugins/jshint)
diff --git a/asf-site-src/source/documentation/in-progress/precommit/plugins/findbugs.html.md b/asf-site-src/source/documentation/in-progress/precommit/plugins/findbugs.html.md
deleted file mode 100644
index 9313d1d..0000000
--- a/asf-site-src/source/documentation/in-progress/precommit/plugins/findbugs.html.md
+++ /dev/null
@@ -1,48 +0,0 @@
-<!---
-  Licensed to the Apache Software Foundation (ASF) under one
-  or more contributor license agreements.  See the NOTICE file
-  distributed with this work for additional information
-  regarding copyright ownership.  The ASF licenses this file
-  to you under the Apache License, Version 2.0 (the
-  "License"); you may not use this file except in compliance
-  with the License.  You may obtain a copy of the License at
-
-    http://www.apache.org/licenses/LICENSE-2.0
-
-  Unless required by applicable law or agreed to in writing,
-  software distributed under the License is distributed on an
-  "AS IS" BASIS, WITHOUT WARRANTIES OR CONDITIONS OF ANY
-  KIND, either express or implied.  See the License for the
-  specific language governing permissions and limitations
-  under the License.
--->
-
-# Name
-
-findbugs
-
-# Category
-
-Test
-
-# Description
-
-Provides support for the [FindBugs](https://findbugs.sourceforge.net/) Java utility.
-
-NOTE: This plug-in is deprecated in favor of using [SpotBugs](../spotbugs).
-
-# Environment Variables
-
-See the [spotbugs](../spotbugs) plugin for more information.
-
-# Options
-
-See the [spotbugs](../spotbugs) plugin for more information.
-
-# Docker Notes
-
-See the [spotbugs](../spotbugs) plugin for more information.
-
-# Developer Notes
-
-See the [spotbugs](../spotbugs) plugin for more information.
diff --git a/asf-site-src/source/documentation/in-progress/precommit/plugins/spotbugs.html.md b/asf-site-src/source/documentation/in-progress/precommit/plugins/spotbugs.html.md
index bf7bf92..953ba0a 100644
--- a/asf-site-src/source/documentation/in-progress/precommit/plugins/spotbugs.html.md
+++ b/asf-site-src/source/documentation/in-progress/precommit/plugins/spotbugs.html.md
@@ -23,14 +23,11 @@ spotbugs
 
 # Category
 
-One or more of:
-
 Test
 
 # Description
 
-Runs the Java-based [SpotBugs](https://spotbugs.github.io/) utility or, in deprecated mode, the FindBugs utility.
-Only one of `spotbugs` or `findbugs` may be active at a time, with `spotbugs` taking precedent.
+Runs the Java-based [SpotBugs](https://spotbugs.github.io/) utility.
 
 # Environment Variables
 
@@ -42,8 +39,6 @@ Only one of `spotbugs` or `findbugs` may be active at a time, with `spotbugs` ta
 
 | Option | Notes |
 |:---------|:------|
-| `--findbugs-home==<dir>` | (DEPRECATED) FindBugs home directory. There is no default. |
-| `--findbugs-strict-precheck` | (DEPRECATED) Fail patch testing if `findbugs` determines a failure before even applying the patch |
 | `--spotbugs-home==<dir>` | SpotBugs home directory. There is no default. |
 | `--spotbugs-strict-precheck` | Fail patch testing if `spotbugs` determines a failure before even applying the patch |
 
diff --git a/asf-site-src/source/documentation/in-progress/precommit/robots/githubactions.html.md b/asf-site-src/source/documentation/in-progress/precommit/robots/githubactions.html.md
index d029c30..adf3b55 100644
--- a/asf-site-src/source/documentation/in-progress/precommit/robots/githubactions.html.md
+++ b/asf-site-src/source/documentation/in-progress/precommit/robots/githubactions.html.md
@@ -79,7 +79,7 @@ Options currently supported are:
 | javahome | same as `--java-home`          | `/usr/lib/jvm/java-11-openjdk-amd64`  | [Java-related plug-ins](../../plugins/javac) |
 | patchdir | same as `--patch-dir`       | NONE  |[Usage Introduction](../../usage-intro) |
 | pip | same as `--pylint-pip`              | pip3  |  [pylint plug-in](../../plugins/pylint) |
-| plugins | same as `--plugins`             | all,-asflicense,-author,-findbugs,-gitlabcilint,-shelldocs  | [Usage Introduction](../../usage-intro) |
+| plugins | same as `--plugins`             | all,-asflicense,-author,-shelldocs  | [Usage Introduction](../../usage-intro) |
 | project | same as `--project`             | Auto-set based upon the repository name  | [Usage Introduction](../../usage-intro) |
 | pylint | same as `--pylint`               | pylint3  | [pylint plug-in](../../plugins/pylint) |
 | reapermode | same as `--reapermode`       | kill  | [Advanced Usage](../../advanced) |
diff --git a/asf-site-src/source/documentation/in-progress/precommit/usage-intro.html.md b/asf-site-src/source/documentation/in-progress/precommit/usage-intro.html.md
index f9336b3..b571c47 100644
--- a/asf-site-src/source/documentation/in-progress/precommit/usage-intro.html.md
+++ b/asf-site-src/source/documentation/in-progress/precommit/usage-intro.html.md
@@ -205,7 +205,7 @@ You should see output similar to this:
 BUILDTOOLS:
   nobuild ant autoconf cmake gradle make maven
 TESTTYPES:
-  asflicense author cc checkmake checkstyle dupname golang golangcilint hadolint javac javadoc jshint markdownlint mvnsite pathlen perlcritic prototool pylint revive rubocop scalac scaladoc shellcheck shelldocs findbugs test4tests unitveto whitespace xml yamllint
+  asflicense author blanks buf cc checkmake checkstyle dupname golang golangcilint hadolint javac javadoc jshint markdownlint mvnsite pathlen perlcritic pylint revive rubocop scalac scaladoc shellcheck shelldocs test4tests unitveto xml yamllint
 BUGSYSTEMS:
   briefreport bugzilla github gitlab htmlout jira junit slack
 TESTFORMATS:
@@ -234,10 +234,10 @@ $ test-patch --plugins="all" <other options>
 `--plugins` also allows some basic "arithmetic":
 
 ```bash
-$ test-patch --plugins="all,-checkstyle,-findbugs" <other options>
+$ test-patch --plugins="all,-checkstyle,-spotbugs" <other options>
 ```
 
-This will enable all plug-ins for potential usage, except for `checkstyle` and `findbugs`.
+This will enable all plug-ins for potential usage, except for `checkstyle` and `spotbugs`.
 
 **NOTE: Many examples in this section will use `--plugins=all`. Users should set the `--plugins` option as appropriate.**
 
diff --git a/precommit/src/main/shell/plugins.d/ant.sh b/precommit/src/main/shell/plugins.d/ant.sh
index 1250c9a..b5ae228 100755
--- a/precommit/src/main/shell/plugins.d/ant.sh
+++ b/precommit/src/main/shell/plugins.d/ant.sh
@@ -111,9 +111,6 @@ function ant_modules_worker
   UNSUPPORTED_TEST=false
 
   case ${tst} in
-    findbugs)
-      modules_workers "${repostatus}" findbugs findbugs
-    ;;
     compile)
       modules_workers "${repostatus}" compile
     ;;
@@ -216,7 +213,6 @@ function ant_builtin_personality_file_tests
 
   if [[ ${filename} =~ \.java$ ]]; then
     add_test spotbugs
-    add_test findbugs
   fi
 }
 
diff --git a/precommit/src/main/shell/plugins.d/gradle.sh b/precommit/src/main/shell/plugins.d/gradle.sh
index dd3c3a6..3e59a19 100755
--- a/precommit/src/main/shell/plugins.d/gradle.sh
+++ b/precommit/src/main/shell/plugins.d/gradle.sh
@@ -228,6 +228,5 @@ function gradle_builtin_personality_file_tests
 
   if [[ ${filename} =~ \.java$ ]]; then
     add_test spotbugs
-    add_test findbugs
   fi
 }
diff --git a/precommit/src/main/shell/plugins.d/maven.sh b/precommit/src/main/shell/plugins.d/maven.sh
index 94c024f..c2d3ee1 100755
--- a/precommit/src/main/shell/plugins.d/maven.sh
+++ b/precommit/src/main/shell/plugins.d/maven.sh
@@ -337,9 +337,6 @@ function maven_modules_worker
   UNSUPPORTED_TEST=false
 
   case ${tst} in
-    findbugs)
-      modules_workers "${repostatus}" findbugs test-compile findbugs:findbugs -DskipTests=true
-    ;;
     compile)
       modules_workers "${repostatus}" compile clean test-compile -DskipTests=true
     ;;
@@ -521,7 +518,6 @@ function maven_builtin_personality_file_tests
 
   if [[ ${filename} =~ \.java$ ]]; then
     add_test spotbugs
-    add_test findbugs
   fi
 }
 
diff --git a/precommit/src/main/shell/plugins.d/spotbugs.sh b/precommit/src/main/shell/plugins.d/spotbugs.sh
index b47a8ea..a43ab07 100755
--- a/precommit/src/main/shell/plugins.d/spotbugs.sh
+++ b/precommit/src/main/shell/plugins.d/spotbugs.sh
@@ -19,30 +19,9 @@
 SPOTBUGS_HOME=${SPOTBUGS_HOME:-}
 ANT_SPOTBUGSXML=${ANT_SPOTBUGSXML:-}
 SPOTBUGS_WARNINGS_FAIL_PRECHECK=false
-SPOTBUGS_TABLE_DUPE=false
-
-if [[ -z "${SPOTBUGS_HOME}" && -n "${FINDBUGS_HOME}" ]]; then
-  SPOTBUGS_MODE=findbugs
-else
-  SPOTBUGS_MODE=spotbugs
-fi
 
 add_test_type spotbugs
 
-function spotbugs_deprecate_test_type
-{
-  if [[ "${SPOTBUGS_MODE}" == spotbugs ]]; then
-    if replace_test_type spotbugs findbugs; then
-      yetus_error "WARNING: Found both spotbugs and findbugs. Disabling findbugs."
-      SPOTBUGS_TABLE_DUPE=true
-    fi
-  else
-    if replace_test_type findbugs spotbugs; then
-      yetus_error "WARNING: spotbugs has deprecated findbugs, but only found findbugs."
-    fi
-  fi
-}
-
 function spotbugs_usage
 {
   yetus_add_option "--spotbugs-home=<dir>" "SpotBugs home directory (default \${SPOTBUGS_HOME})"
@@ -73,12 +52,8 @@ function spotbugs_parse_args
 ## @replaceable  no
 function spotbugs_initialize
 {
-  if [[ "${SPOTBUGS_MODE}" == findbugs ]]; then
-    FINDBUGS_HOME=${SPOTBUGS_HOME:-${FINDBUGS_HOME}}
-  fi
-
   if declare -f maven_add_install >/dev/null 2>&1; then
-    maven_add_install "${SPOTBUGS_MODE}"
+    maven_add_install "spotbugs"
   fi
 }
 
@@ -89,8 +64,8 @@ function spotbugs_filefilter
   if [[ ${BUILDTOOL} == maven
     || ${BUILDTOOL} == ant ]]; then
     if [[ ${filename} =~ \.java$
-      || ${filename} =~ (^|/)${SPOTBUGS_MODE}-exclude.xml$ ]]; then
-      add_test "${SPOTBUGS_MODE}"
+      || ${filename} =~ (^|/)spotbugs-exclude.xml$ ]]; then
+      add_test "spotbugs"
     fi
   fi
 }
@@ -101,7 +76,7 @@ function spotbugs_precheck
   declare status=0
 
   if [[ -z ${SPOTBUGS_HOME} ]]; then
-    yetus_error "SPOTBUGS_HOME (or FINDBUGS_HOME) was not specified."
+    yetus_error "SPOTBUGS_HOME was not specified."
     status=1
   else
     for exec in computeBugHistory \
@@ -115,8 +90,8 @@ function spotbugs_precheck
     done
   fi
   if [[ ${status} == 1 ]]; then
-    add_vote_table_v2 0 "${SPOTBUGS_MODE}" "" "${SPOTBUGS_MODE} executables are not available."
-    delete_test "${SPOTBUGS_MODE}"
+    add_vote_table_v2 0 "spotbugs" "" "spotbugs executables are not available."
+    delete_test "spotbugs"
   fi
 }
 
@@ -139,22 +114,18 @@ function spotbugs_runner
   declare retval
 
 
-  personality_modules_wrapper "${name}" "${SPOTBUGS_MODE}"
+  personality_modules_wrapper "${name}" "spotbugs"
 
-  "${BUILDTOOL}_modules_worker" "${name}" "${SPOTBUGS_MODE}"
+  "${BUILDTOOL}_modules_worker" "${name}" "spotbugs"
 
   if [[ ${UNSUPPORTED_TEST} = true ]]; then
     return 0
   fi
 
   echo ""
-  echo "Building ${SPOTBUGS_MODE} database(s) using ${SPOTBUGS_HOME} for executables."
+  echo "Building spotbugs database(s) using ${SPOTBUGS_HOME} for executables."
   echo ""
 
-  if [[ "${SPOTBUGS_TABLE_DUPE}" == true ]] && [[ "${name}" == branch ]]; then
-    add_vote_table_v2 0 spotbugs "" "Both FindBugs and SpotBugs are enabled, using SpotBugs."
-  fi
-
   #shellcheck disable=SC2153
   until [[ ${i} -eq ${#MODULE[@]} ]]; do
     if [[ ${MODULE_STATUS[${i}]} == -1 ]]; then
@@ -173,7 +144,7 @@ function spotbugs_runner
 
     case ${BUILDTOOL} in
       maven)
-        targetfile="${SPOTBUGS_MODE}Xml.xml"
+        targetfile="spotbugsXml.xml"
       ;;
       ant)
         targetfile="${ANT_SPOTBUGSXML}"
@@ -187,10 +158,10 @@ function spotbugs_runner
       files+=("${line}")
     done < <(find . -name "${targetfile}")
 
-    warnings_file="${PATCH_DIR}/${name}-${SPOTBUGS_MODE}-${fn}-warnings"
+    warnings_file="${PATCH_DIR}/${name}-spotbugs-${fn}-warnings"
 
     if [[ "${#files[@]}" -lt 1 ]]; then
-      module_status "${i}" 0 "" "${name}/${module} no ${SPOTBUGS_MODE} output file (${targetfile})"
+      module_status "${i}" 0 "" "${name}/${module} no spotbugs output file (${targetfile})"
       ((i=i+1))
       popd >/dev/null || return 1
       continue
@@ -215,14 +186,14 @@ function spotbugs_runner
     if [[ ${retval} != 0 ]]; then
       savestop=$(stop_clock)
       MODULE_STATUS_TIMER[${i}]=${savestop}
-      module_status "${i}" -1 "" "${name}/${module} cannot run setBugDatabaseInfo from ${SPOTBUGS_MODE}"
+      module_status "${i}" -1 "" "${name}/${module} cannot run setBugDatabaseInfo from spotbugs"
       ((result=result+1))
       ((i=i+1))
       continue
     fi
 
     if [[ ! -f "${warnings_file}.xml" ]]; then
-      module_status "${i}" 0 "" "${name}/${module} no data in SpotBugs/FindBugs output file (${targetfile})"
+      module_status "${i}" 0 "" "${name}/${module} no data in SpotBugs output file (${targetfile})"
       ((i=i+1))
       popd >/dev/null || return 1
       continue
@@ -233,7 +204,7 @@ function spotbugs_runner
       "${warnings_file}.html"; then
       savestop=$(stop_clock)
       MODULE_STATUS_TIMER[${i}]=${savestop}
-      module_status "${i}" -1 "" "${name}/${module} cannot run convertXmlToText from ${SPOTBUGS_MODE}"
+      module_status "${i}" -1 "" "${name}/${module} cannot run convertXmlToText from spotbugs"
       ((result=result+1))
     fi
 
@@ -243,7 +214,7 @@ function spotbugs_runner
         | cut -f2 -d\" \
         | cut -f1 -d\" )
       if [[ -n ${SPOTBUGS_VERSION} ]]; then
-        add_version_data "${SPOTBUGS_MODE}" "${SPOTBUGS_VERSION}"
+        add_version_data "spotbugs" "${SPOTBUGS_VERSION}"
       fi
     fi
 
@@ -269,11 +240,11 @@ function spotbugs_preapply
   declare result=0
   declare msg
 
-  if ! verify_needed_test "${SPOTBUGS_MODE}"; then
+  if ! verify_needed_test "spotbugs"; then
     return 0
   fi
 
-  big_console_header "${SPOTBUGS_MODE} detection: ${PATCH_BRANCH}"
+  big_console_header "spotbugs detection: ${PATCH_BRANCH}"
 
   spotbugs_runner branch
   result=$?
@@ -282,10 +253,6 @@ function spotbugs_preapply
     return 0
   fi
 
-  if [[ "${SPOTBUGS_MODE}" == findbugs ]]; then
-    add_vote_table_v2 0 spotbugs "" "Used deprecated FindBugs config; considering switching to SpotBugs."
-  fi
-
   until [[ ${modindex} -eq ${#MODULE[@]} ]]; do
     if [[ ${MODULE_STATUS[${modindex}]} == -1 ]]; then
       ((result=result+1))
@@ -302,7 +269,7 @@ function spotbugs_preapply
       module=root
     fi
 
-    warnings_file="${PATCH_DIR}/branch-${SPOTBUGS_MODE}-${fn}-warnings"
+    warnings_file="${PATCH_DIR}/branch-spotbugs-${fn}-warnings"
     if [[ ! -f "${warnings_file}.xml" ]]; then
       savestop=$(stop_clock)
       MODULE_STATUS_TIMER[${modindex}]=${savestop}
@@ -318,14 +285,14 @@ function spotbugs_preapply
         | "${AWK}" '{print $1}')
 
     if [[ ${module_spotbugs_warnings} -gt 0 ]] ; then
-      msg="${module} in ${PATCH_BRANCH} has ${module_spotbugs_warnings} extant ${SPOTBUGS_MODE} warnings."
+      msg="${module} in ${PATCH_BRANCH} has ${module_spotbugs_warnings} extant spotbugs warnings."
       if [[ "${SPOTBUGS_WARNINGS_FAIL_PRECHECK}" = "true" ]]; then
-        module_status "${modindex}" -1 "branch-${SPOTBUGS_MODE}-${fn}-warnings.html" "${msg}"
+        module_status "${modindex}" -1 "branch-spotbugs-${fn}-warnings.html" "${msg}"
         ((result=result+1))
       elif [[ "${BUILDMODE}" = full ]]; then
-        module_status "${modindex}" -1 "branch-${SPOTBUGS_MODE}-${fn}-warnings.html" "${msg}"
+        module_status "${modindex}" -1 "branch-spotbugs-${fn}-warnings.html" "${msg}"
         ((result=result+1))
-        populate_test_table "${SPOTBUGS_MODE}" "module:${module}"
+        populate_test_table "spotbugs" "module:${module}"
         #shellcheck disable=SC2162
         while read line; do
           firstpart=$(echo "${line}" | cut -f2 -d:)
@@ -333,7 +300,7 @@ function spotbugs_preapply
           add_test_table "" "${firstpart}:${secondpart}"
         done < <("${SPOTBUGS_HOME}/bin/convertXmlToText" "${warnings_file}.xml")
       else
-        module_status "${modindex}" 0 "branch-${SPOTBUGS_MODE}-${fn}-warnings.html" "${msg}"
+        module_status "${modindex}" 0 "branch-spotbugs-${fn}-warnings.html" "${msg}"
       fi
     fi
 
@@ -341,7 +308,7 @@ function spotbugs_preapply
     MODULE_STATUS_TIMER[${modindex}]=${savestop}
     ((modindex=modindex+1))
   done
-  modules_messages branch "${SPOTBUGS_MODE}" true
+  modules_messages branch "spotbugs" true
 
   if [[ ${result} != 0 ]]; then
     return 1
@@ -376,11 +343,11 @@ function spotbugs_postinstall
   declare summarize=true
   declare statstring
 
-  if ! verify_needed_test "${SPOTBUGS_MODE}"; then
+  if ! verify_needed_test "spotbugs"; then
     return 0
   fi
 
-  big_console_header "${SPOTBUGS_MODE} detection: ${BUILDMODE}"
+  big_console_header "spotbugs detection: ${BUILDMODE}"
 
   spotbugs_runner patch
 
@@ -407,9 +374,9 @@ function spotbugs_postinstall
       module=root
     fi
 
-    combined_xml="${PATCH_DIR}/combined-${SPOTBUGS_MODE}-${fn}.xml"
-    branchxml="${PATCH_DIR}/branch-${SPOTBUGS_MODE}-${fn}-warnings.xml"
-    patchxml="${PATCH_DIR}/patch-${SPOTBUGS_MODE}-${fn}-warnings.xml"
+    combined_xml="${PATCH_DIR}/combined-spotbugs-${fn}.xml"
+    branchxml="${PATCH_DIR}/branch-spotbugs-${fn}-warnings.xml"
+    patchxml="${PATCH_DIR}/patch-spotbugs-${fn}-warnings.xml"
 
     if [[ -f "${branchxml}" ]]; then
       # shellcheck disable=SC2016
@@ -422,11 +389,11 @@ function spotbugs_postinstall
       branchxml=${patchxml}
     fi
 
-    newbugsbase="${PATCH_DIR}/new-${SPOTBUGS_MODE}-${fn}"
-    fixedbugsbase="${PATCH_DIR}/fixed-${SPOTBUGS_MODE}-${fn}"
+    newbugsbase="${PATCH_DIR}/new-spotbugs-${fn}"
+    fixedbugsbase="${PATCH_DIR}/fixed-spotbugs-${fn}"
 
     if [[ ! -f "${branchxml}" ]] && [[ ! -f "${patchxml}" ]]; then
-      module_status "${i}" 0 "" "${module} has no data from ${SPOTBUGS_MODE}"
+      module_status "${i}" 0 "" "${module} has no data from spotbugs"
       ((result=result+1))
       savestop=$(stop_clock)
       MODULE_STATUS_TIMER[${i}]=${savestop}
@@ -441,7 +408,7 @@ function spotbugs_postinstall
             -output "${combined_xml}" \
             "${branchxml}" \
             "${patchxml}"; then
-      module_status "${i}" -1 "" "${module} cannot run computeBugHistory from ${SPOTBUGS_MODE}"
+      module_status "${i}" -1 "" "${module} cannot run computeBugHistory from spotbugs"
       ((result=result+1))
       savestop=$(stop_clock)
       MODULE_STATUS_TIMER[${i}]=${savestop}
@@ -462,7 +429,7 @@ function spotbugs_postinstall
         "${combined_xml}" "${newbugsbase}.xml" | ${AWK} '{print $1}')
     retval=$?
     if [[ ${retval} != 0 ]]; then
-      module_status "${i}" -1 "" "${module} cannot run filterBugs (#1) from ${SPOTBUGS_MODE}"
+      module_status "${i}" -1 "" "${module} cannot run filterBugs (#1) from spotbugs"
       ((result=result+1))
       savestop=$(stop_clock)
       MODULE_STATUS_TIMER[${i}]=${savestop}
@@ -476,7 +443,7 @@ function spotbugs_postinstall
         "${combined_xml}" "${fixedbugsbase}.xml" | ${AWK} '{print $1}')
     retval=$?
     if [[ ${retval} != 0 ]]; then
-      module_status "${i}" -1 "" "${module} cannot run filterBugs (#2) from ${SPOTBUGS_MODE}"
+      module_status "${i}" -1 "" "${module} cannot run filterBugs (#2) from spotbugs"
       ((result=result+1))
       savestop=$(stop_clock)
       MODULE_STATUS_TIMER[${i}]=${savestop}
@@ -489,7 +456,7 @@ function spotbugs_postinstall
 
     if ! "${SPOTBUGS_HOME}/bin/convertXmlToText" -html "${newbugsbase}.xml" \
         "${newbugsbase}.html"; then
-      module_status "${i}" -1 "" "${module} cannot run convertXmlToText from ${SPOTBUGS_MODE}"
+      module_status "${i}" -1 "" "${module} cannot run convertXmlToText from spotbugs"
       ((result=result+1))
       savestop=$(stop_clock)
       MODULE_STATUS_TIMER[${i}]=${savestop}
@@ -499,7 +466,7 @@ function spotbugs_postinstall
     fi
 
     if [[ ${add_warnings} -gt 0 ]] ; then
-      populate_test_table FindBugs "module:${module}"
+      populate_test_table SpotBugs "module:${module}"
       #shellcheck disable=SC2162
       while read line; do
         firstpart=$(echo "${line}" | cut -f2 -d:)
@@ -507,7 +474,7 @@ function spotbugs_postinstall
         add_test_table "" "${firstpart}:${secondpart}"
       done < <("${SPOTBUGS_HOME}/bin/convertXmlToText" "${newbugsbase}.xml")
 
-      module_status "${i}" -1 "new-${SPOTBUGS_MODE}-${fn}.html" "${module} ${statstring}"
+      module_status "${i}" -1 "new-spotbugs-${fn}.html" "${module} ${statstring}"
       ((result=result+1))
     elif [[ ${fixed_warnings} -gt 0 ]]; then
       module_status "${i}" +1 "" "${module} ${statstring}"
@@ -519,7 +486,7 @@ function spotbugs_postinstall
     ((i=i+1))
   done
 
-  modules_messages patch ${SPOTBUGS_MODE} "${summarize}"
+  modules_messages patch spotbugs "${summarize}"
   if [[ ${result} != 0 ]]; then
     return 1
   fi
@@ -536,52 +503,3 @@ function spotbugs_rebuild
     spotbugs_postinstall
   fi
 }
-
-
-##
-## To be removed:  FindBugs instead of SpotBugs
-##
-
-add_test_type findbugs
-
-function findbugs_usage
-{
-  yetus_add_option "--findbugs-home=<dir>" "Findbugs home directory (default \${FINDBUGS_HOME})"
-  yetus_add_option "--findbugs-strict-precheck" "If there are Findbugs warnings during precheck, fail"
-}
-
-function findbugs_parse_args
-{
-  declare i
-
-  for i in "$@"; do
-    case ${i} in
-    --findbugs-home=*)
-      delete_parameter "${i}"
-      SPOTBUGS_HOME=${i#*=}
-    ;;
-    --findbugs-strict-precheck)
-      delete_parameter "${i}"
-      SPOTBUGS_WARNINGS_FAIL_PRECHECK=true
-    ;;
-    esac
-  done
-}
-
-function findbugs_initialize
-{
-  SPOTBUGS_MODE="findbugs"
-  ANT_SPOTBUGSXML=${ANT_FINDBUGSXML}
-  SPOTBUGS_HOME=${FINDBUGS_HOME}
-  spotbugs_initialize "$@"
-}
-
-function findbugs_filefilter
-{
-  spotbugs_initialize "$@"
-}
-
-function findbugs_rebuild
-{
-  spotbugs_rebuild "$@"
-}
\ No newline at end of file
diff --git a/precommit/src/main/shell/test-patch-docker/Dockerfile b/precommit/src/main/shell/test-patch-docker/Dockerfile
index fab0b83..60cb923 100644
--- a/precommit/src/main/shell/test-patch-docker/Dockerfile
+++ b/precommit/src/main/shell/test-patch-docker/Dockerfile
@@ -112,8 +112,8 @@ RUN mkdir -p /opt/apache-rat \
 #####
 FROM yetusbase AS spotbugs
 SHELL ["/bin/bash", "-o", "pipefail", "-c"]
-RUN curl -sSL https://repo.maven.apache.org/maven2/com/github/spotbugs/spotbugs/4.1.2/spotbugs-4.1.2.tgz -o spotbugs.tgz \
-    && curl -sSL https://repo.maven.apache.org/maven2/com/github/spotbugs/spotbugs/4.1.2/spotbugs-4.1.2.tgz.sha1 -o spotbugs.tgz.sha1 \
+RUN curl -sSL https://repo.maven.apache.org/maven2/com/github/spotbugs/spotbugs/4.2.2/spotbugs-4.2.2.tgz -o spotbugs.tgz \
+    && curl -sSL https://repo.maven.apache.org/maven2/com/github/spotbugs/spotbugs/4.2.2/spotbugs-4.2.2.tgz.sha1 -o spotbugs.tgz.sha1 \
     && echo -n "  spotbugs.tgz" >> spotbugs.tgz.sha1 \
     && shasum -c spotbugs.tgz.sha1 \
     && mkdir -p /opt/spotbugs \
@@ -270,16 +270,6 @@ RUN add-apt-repository -y \
     && rm -rf /var/lib/apt/lists/*
 
 ######
-# Install findbugs
-######
-RUN apt-get -q update && apt-get -q install --no-install-recommends -y findbugs \
-    && apt-get clean \
-    && rm -rf /var/lib/apt/lists/*
-ENV FINDBUGS_HOME /usr
-
-
-
-######
 # Install maven
 ######
 RUN apt-get -q update && apt-get -q install --no-install-recommends -y maven \